## ESourceAddressBook

ESourceAddressBook — ESource extension for an address book

## Functions

guint | e_source_address_book_get_order ()
void | e_source_address_book_set_order ()

## Types and Values

#define | E_SOURCE_EXTENSION_ADDRESS_BOOK
struct | ESourceAddressBook

## Object Hierarchy

        GObject
        ╰── ESourceExtension
            ╰── ESourceBackend
                ╰── ESourceAddressBook

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The ESourceAddressBook extension identifies the ESource as an address book.

Access the extension as follows:

    1
    2
    3
    4
    5

    #include <libedataserver/libedataserver.h>

    ESourceAddressBook *extension;

    extension = e_source_get_extension (source, E_SOURCE_EXTENSION_ADDRESS_BOOK);

## Functions

### e_source_address_book_get_order ()

    guint
    e_source_address_book_get_order (ESourceAddressBook *extension);

#### Parameters

extension | an ESourceAddressBook |

#### Returns

the sorting order of the source, if known. Zero is the default.

Since: 3.40

### e_source_address_book_set_order ()

    void
    e_source_address_book_set_order (ESourceAddressBook *extension,
                                     guint order);

Set the sorting order of the source.

#### Parameters

extension | an ESourceAddressBook |
order | a sorting order |

Since: 3.40

## Types and Values

### E_SOURCE_EXTENSION_ADDRESS_BOOK

    #define E_SOURCE_EXTENSION_ADDRESS_BOOK "Address Book"

Pass this extension name to `e_source_get_extension()` to access ESourceAddressBook. This is also used as a group name in key files.

Since: 3.6

### struct ESourceAddressBook

    struct ESourceAddressBook;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.6